/**
 * generated by Xtext 2.18.0.M3
 */
package tdt4250.ra.ide;

import com.google.inject.Guice;
import com.google.inject.Injector;
import org.eclipse.xtext.util.Modules2;
import tdt4250.ra.Rax2RuntimeModule;
import tdt4250.ra.Rax2StandaloneSetup;

/**
 * Initialization support for running Xtext languages as language servers.
 */
@SuppressWarnings("all")
public class Rax2IdeSetup extends Rax2StandaloneSetup {
  @Override
  public Injector createInjector() {
    Rax2RuntimeModule _rax2RuntimeModule = new Rax2RuntimeModule();
    Rax2IdeModule _rax2IdeModule = new Rax2IdeModule();
    return Guice.createInjector(Modules2.mixin(_rax2RuntimeModule, _rax2IdeModule));
  }
}
